Subject: Re: [manet] DLEP-15: extending/enhancing DLEP

From: RJ Atkinson <[email-masked]>
Date: Fri, 17 Jul 2015 15:39:12 -0400

On Friday, 17 July 2015, at 08:40>33 +0000, Rick Taylor wrote, in part:
> As designed, 1 extension introduces 0..N signals and 0..N data items, …

This is not actually clear from reading the DLEP-15 draft.

In fact, an ordinary IETF reader of this document will not
automatically figure out the difference between “additional
Data Items, Signals, or Messages that extend DLEP” and
a DLEP “Extension.

Requested Action:
- Add clarifying text about all this in Section 3.0.
  The partially quoted text above might make a good
  starting point.

- Add clarifying text about this in Section 3.1, paragraph 2,
  Page 11.

- Add clarifying text about this in Section 5.2, paragraph 4,
  which is on page 14.

- Add clarifying text about this in Section 8.3, paragraph 2,
  which is on page 21 — and also in Section 8.4, Paragraph 3
  which is on page 22.

- Add clarifying text about this in Section 9.6, page 39.

> In reality, supporting more than 1 Private Use extension per session is 
> impossible, so the 14 private use extensions we have provided is (in my 
> mind) plenty.  

I agree with David Wiggins’ on-list comments this week about this.  
I disagree with the sentence above.

> If one needs to run 14 different modems all supporting 
> private use extensions simulataneously, then either a) Your experimental 
> methodology is flawed, or b) It's time to write up a few of these 
> experiments and bring them to MANET.

Disagree.  See David Wiggins’ on-list comments about why
this is wrong.  I agree with David Wiggins’ comments.

> The reworked math:
> 
> 14 exts * (126 msgs + 126 dis) = 3528 code points for customization.

One can’t multiply like that, so the 3528 is not right.

According to your clarification quoted at the top of this note,
a given “DLEP Extension Code” still only allows one meaning 
for a given “Private Use” Data-Item, Signal, or Message.

So the “Private Use” number space is still far too small.
See also David Wiggins’ notes on this, which I agree with.

> Actually this calculation is pretty meaningless, but it does point out 
> that there is enough Private Use room in DLEP-15.

The previous math is wrong, as is the sentence above.

Yours,

Ran